StorageAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.StorageAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface StorageAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface StorageAgentConfiguration

extends AgentConfiguration

Configuration for a StorageAgent

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`boolean` | `getActiveDisksOnly()` A flag that indicates if only active disks need to be discovered.
`java.lang.String` | `getFdiskCommand()` The command to use to access fdisk
`boolean` | `hasActiveDisksOnly()`
`boolean` | `hasFdiskCommand()`
`void` | `setActiveDisksOnly(boolean activeDisksOnly)`
`void` | `setFdiskCommand(java.lang.String fileName)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFdiskCommand

    java.lang.String getFdiskCommand()
                                     throws AttributeNotSetException

  The command to use to access fdisk

  Returns:
    Filename
  Throws:
    `AttributeNotSetException`

### setFdiskCommand

    void setFdiskCommand(java.lang.String fileName)

### hasFdiskCommand

    boolean hasFdiskCommand()

### getActiveDisksOnly

    boolean getActiveDisksOnly()
                               throws AttributeNotSetException

  A flag that indicates if only active disks need to be discovered. This can be used to limit the number of disks on systems exposed to large numbers of disks (e.g. in a SAN)

  Throws:
    `AttributeNotSetException`

### setActiveDisksOnly

    void setActiveDisksOnly(boolean activeDisksOnly)

### hasActiveDisksOnly

    boolean hasActiveDisksOnly()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD